<div class="pagination-section">
  {% if dpc_pages_pagination > 5  %}
    {% if current_page < 5 %}
      <nav aria-label="Page navigation example">
        <ul class="pagination">
          {% if current_page == 1 %}
          <li class="page-item">
            <a class="page-link" aria-label="Previous" disabled="disabled">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% endif %}
          {% if current_page > 1 %}
          {% set previous = current_page - 1 %}
          <li class="page-item">
            <a class="page-link" href="{{'?page=' ~ previous }}" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% endif %}
          {% for i in 1..5 %}
          {% if search_query != null %}
            {% if current_page == i %}
              <li class="page-item active"><a class="page-link" href="?s={{search_query}}{{'&page=' ~ i}}">{{i}}</a></li>
            {% else %}
              <li class="page-item"><a class="page-link" href="?s={{search_query}}{{'&page=' ~ i}}">{{i}}</a></li>
            {% endif %}
          {% else %}
            {% if current_page == i %}
              <li class="page-item active"><a class="page-link" href="{{'?page=' ~ i}}">{{i}}</a></li>
            {% else %}
              <li class="page-item"><a class="page-link" href="{{'?page=' ~ i}}">{{i}}</a></li>
            {% endif %}
          {% endif %}
          {% endfor %}
          {% if current_page < dpc_pages_pagination %}
          {% set next = current_page + 1 %}
          <li class="page-item">
            <a class="page-link" href="{{'?page=' ~ next}}" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
          {% endif %}
        </ul>
      </nav>
    {% elseif current_page > 4 %}
      <nav aria-label="Page navigation example">
        <ul class="pagination">
          {% if current_page == 1 %}
          <li class="page-item">
            <a class="page-link" aria-label="Previous" disabled="disabled">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% endif %}
          {% if current_page > 1 %}
          {% set previous = current_page - 1 %}
          <li class="page-item">
            <a class="page-link" href="{{'?page=' ~ next}}" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% endif %}
          {% set awal = current_page - 2 %}
          {% set akhir = current_page + 2 %}
          {% if akhir < dpc_pages_pagination - 2 %}
            {% for i in awal .. akhir %}
                {% if current_page == i %}
                  <li class="page-item active"><a class="page-link" href="{{'?page=' ~ i}}">{{i}}</a></li>
                {% else %}
                  <li class="page-item"><a class="page-link" href="{{'?page=' ~ i}}">{{i}}</a></li>
                {% endif %}
            {% endfor %}
          {% else %}
            {% set awal = dpc_pages_pagination - 4 %}
            {% set akhir = dpc_pages_pagination %}
            {% for i in awal .. akhir %}
                {% if current_page == i %}
                  <li class="page-item active"><a class="page-link" href="{{'?page=' ~ i}}">{{i}}</a></li>
                {% else %}
                  <li class="page-item"><a class="page-link" href="{{'?page=' ~ i}}">{{i}}</a></li>
                {% endif %}
            {% endfor %}
          {% endif %}
          {% if current_page < dpc_pages_pagination %}
          {% set next = current_page + 1 %}
          <li class="page-item">
            <a class="page-link" href="{{'?page=' ~ next}}" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
          {% endif %}
          {% if current_page == dpc_pages_pagination %}
          <li class="page-item">
            <a class="page-link" aria-label="Next" disabled="disabled">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
          {% endif %}
        </ul>
      </nav>
    {% endif %}
  {% else %}
    <nav aria-label="Page navigation example">
      <ul class="pagination">
        {% if dpc_pages_pagination > 1 %}
          {% if current_page == 1 %}
          <li class="page-item">
            <a class="page-link" aria-label="Previous" disabled="disabled">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% endif %}
          {% if current_page > 1 %}
          {% set previous = current_page - 1 %}
          <li class="page-item">
            <a class="page-link" href="{{'?page=' ~ previous }}" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% endif %}
          {% for i in 1..dpc_pages_pagination %}
          {% if search_query != null %}
            {% if current_page == i %}
              <li class="page-item active"><a class="page-link" href="?s={{search_query}}{{'&page=' ~ i}}">{{i}}</a></li>
            {% else %}
              <li class="page-item"><a class="page-link" href="?s={{search_query}}{{'&page=' ~ i}}">{{i}}</a></li>
            {% endif %}
          {% else %}
            {% if current_page == i %}
              <li class="page-item active"><a class="page-link" href="{{'?page=' ~ i}}">{{i}}</a></li>
            {% else %}
              <li class="page-item"><a class="page-link" href="{{'?page=' ~ i}}">{{i}}</a></li>
            {% endif %}
          {% endif %}
          {% endfor %}
          {% if current_page < dpc_pages_pagination %}
          {% set next = current_page + 1 %}
          <li class="page-item">
            <a class="page-link" href="{{'?page=' ~ next}}" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
          {% endif %}
          {% if current_page == dpc_pages_pagination %}
          <li class="page-item">
            <a class="page-link" aria-label="Next" disabled="disabled">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
          {% endif %}
        {% endif %}
      </ul>
    </nav>
  {% endif %}
</div>
